<?php

/**
 * Active Callbacks
 *
 * @package Newsbreeze
 */

// Theme Options.
function newsbreeze_is_pagination_enabled( $control ) {
	return ( $control->manager->get_setting( 'newsbreeze_enable_pagination' )->value() );
}
function newsbreeze_is_breadcrumb_enabled( $control ) {
	return ( $control->manager->get_setting( 'newsbreeze_enable_breadcrumb' )->value() );
}

// Flash News Section.
function newsbreeze_is_flash_news_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'newsbreeze_enable_flash_news_section' )->value() );
}
function newsbreeze_is_flash_news_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'newsbreeze_flash_news_content_type' )->value();
	return ( newsbreeze_is_flash_news_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function newsbreeze_is_flash_news_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'newsbreeze_flash_news_content_type' )->value();
	return ( newsbreeze_is_flash_news_section_enabled( $control ) && ( 'category' === $content_type ) );
}

// Banner Section.
function newsbreeze_is_banner_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'newsbreeze_enable_banner_section' )->value() );
}
// Banner Section - Main News.
function newsbreeze_is_banner_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'newsbreeze_main_news_content_type' )->value();
	return ( newsbreeze_is_banner_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function newsbreeze_is_banner_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'newsbreeze_main_news_content_type' )->value();
	return ( newsbreeze_is_banner_section_enabled( $control ) && ( 'category' === $content_type ) );
}
// Banner Section - Trending Posts.
function newsbreeze_is_trending_posts_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'newsbreeze_trending_posts_content_type' )->value();
	return ( newsbreeze_is_banner_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function newsbreeze_is_trending_posts_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'newsbreeze_trending_posts_content_type' )->value();
	return ( newsbreeze_is_banner_section_enabled( $control ) && ( 'category' === $content_type ) );
}
// Banner Section - Editor Pick.
function newsbreeze_is_editor_pick_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'newsbreeze_editor_pick_content_type' )->value();
	return ( newsbreeze_is_banner_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function newsbreeze_is_editor_pick_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'newsbreeze_editor_pick_content_type' )->value();
	return ( newsbreeze_is_banner_section_enabled( $control ) && ( 'category' === $content_type ) );
}

// Check if static home page is enabled.
function newsbreeze_is_static_homepage_enabled( $control ) {
	return ( 'page' === $control->manager->get_setting( 'show_on_front' )->value() );
}
